<?xml version='1.0' encoding='utf-8' standalone='yes'?>
<instrumentationManifest xmlns="http://schemas.microsoft.com/win/2004/08/events" xmlns:win="http://manifests.microsoft.com/win/2004/08/windows/events" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://schemas.microsoft.com/win/2004/08/events eventman.xsd">
  <instrumentation>
    <events>
      <provider guid="{e0dde897-547a-4ab3-afa1-8ab6490f3563}" messageFileName="%WinDir%\System32\drivers\UMDF\mm.dll" name="Parsec Virtual Display Driver" resourceFileName="%WinDir%\System32\drivers\UMDF\mm.dll" symbol="DriverControlGuid">
        <channels>
          <importChannel chid="SYSTEM" name="System"/>
        </channels>
        <templates>
          <template tid="tid_load_template">
            <data inType="win:Pointer" name="DeviceObjPtr" outType="win:HexInt64"/>
            <data inType="win:UInt32" name="Status" outType="win:NTSTATUS"/>
          </template>
          <template tid="tid_unload_template">
            <data inType="win:Pointer" name="DeviceObjPtr" outType="win:HexInt64"/>
          </template>
          <template tid="tid_failed_with_hresult">
            <data inType="win:AnsiString" name="ScopeName" outType="win:Utf8"/>
            <data inType="win:UnicodeString" name="FunctionName" outType="xs:string"/>
            <data inType="win:Int32" name="HResult" outType="win:HResult"/>
          </template>
          <template tid="tid_failed_with_ntstatus">
            <data inType="win:AnsiString" name="ScopeName" outType="win:Utf8"/>
            <data inType="win:UnicodeString" name="FunctionName" outType="xs:string"/>
            <data inType="win:UInt32" name="Status" outType="win:NTSTATUS"/>
          </template>
          <template tid="tid_requested_monitor_creation">
            <data inType="win:Pointer" name="AdapterPtr" outType="win:HexInt64"/>
            <data inType="win:UInt32" name="Index" outType="xs:unsignedInt"/>
          </template>
          <template tid="tid_monitor_creation_finished">
            <data inType="win:Pointer" name="AdapterPtr" outType="win:HexInt64"/>
            <data inType="win:UInt32" name="Index" outType="xs:unsignedInt"/>
            <data inType="win:Pointer" name="MonitorPtr" outType="win:HexInt64"/>
            <data inType="win:UInt32" name="Status" outType="win:NTSTATUS"/>
            <data inType="win:Pointer" name="ContextPtr" outType="win:HexInt64"/>
          </template>
          <template tid="tid_create_device">
            <data inType="win:UInt64" name="AdapterLuid" outType="win:HexInt64"/>
          </template>
          <template tid="tid_device_created">
            <data inType="win:UInt64" name="AdapterLuid" outType="win:HexInt64"/>
            <data inType="win:Pointer" name="DevicePtr" outType="win:HexInt64"/>
          </template>
          <template tid="tid_device_creation_failed">
            <data inType="win:UInt64" name="AdapterLuid" outType="win:HexInt64"/>
            <data inType="win:Int32" name="HResult" outType="win:HResult"/>
          </template>
        </templates>
        <events>
          <event value="1"  channel="SYSTEM" level="win:Informational" message="$(string.StartEvent.EventMessage)" opcode="win:Start" symbol="StartEvent" template="tid_load_template"/>
          <event value="2"  channel="SYSTEM" level="win:Informational" message="$(string.UnloadEvent.EventMessage)" opcode="win:Stop" symbol="UnloadEvent" template="tid_unload_template"/>
          <event value="3"  channel="SYSTEM" level="win:Error" message="$(string.FailedWithHResult.EventMessage)" opcode="win:Info" symbol="FailedWithHResult" template="tid_failed_with_hresult"/>
          <event value="4"  channel="SYSTEM" level="win:Error" message="$(string.FailedWithNTStatus.EventMessage)" opcode="win:Info" symbol="FailedWithNTStatus" template="tid_failed_with_ntstatus"/>
          <event value="5"  channel="SYSTEM" level="win:Error" message="$(string.FailedToFindOpenMonitorHandle.EventMessage)" opcode="win:Info" symbol="FailedToFindOpenMonitorHandle"/>
          <event value="6"  channel="SYSTEM" level="win:Informational" message="$(string.RequestedMonitorCreation.EventMessage)" opcode="win:Info" symbol="RequestedMonitorCreation" template="tid_requested_monitor_creation"/>
          <event value="7"  channel="SYSTEM" level="win:Informational" message="$(string.MonitorCreationFinished.EventMessage)" opcode="win:Info" symbol="MonitorCreationFinished" template="tid_monitor_creation_finished"/>
          <event value="8"  channel="SYSTEM" level="win:Informational" message="$(string.CreateDevice.EventMessage)" opcode="win:Info" symbol="CreateDevice" template="tid_create_device"/>
          <event value="9"  channel="SYSTEM" level="win:Informational" message="$(string.DeviceCreated.EventMessage)" opcode="win:Info" symbol="DeviceCreated" template="tid_device_created"/>
          <event value="10" channel="SYSTEM" level="win:Error" message="$(string.DeviceCreationFailed.EventMessage)" opcode="win:Info" symbol="DeviceCreationFailed" template="tid_device_creation_failed"/>
        </events>
      </provider>
    </events>
  </instrumentation>
  <localization xmlns="http://schemas.microsoft.com/win/2004/08/events">
    <resources culture="en-US">
      <stringTable>
        <string id="StartEvent.EventMessage" value="Device attached (obj: %1, status: %2)"/>
        <string id="UnloadEvent.EventMessage" value="Device detached (obj: %1)"/>
        <string id="FailedWithHResult.EventMessage" value="[%1] %2 failed with HRESULT %3"/>
        <string id="FailedWithNTStatus.EventMessage" value="[%1] %2 failed with NTSTATUS %3"/>
        <string id="FailedToFindOpenMonitorHandle.EventMessage" value="Failed to find an open monitor handle"/>
        <string id="RequestedMonitorCreation.EventMessage" value="Monitor creation request for adapter %1 and connector index %2 arrived"/>
        <string id="MonitorCreationFinished.EventMessage" value="Monitor creation (adapter: %1, index: %2) finished (monitor: %3, status: %4)"/>
        <string id="CreateDevice.EventMessage" value="Creating D3D11 device for render adapter LUID %1"/>
        <string id="DeviceCreated.EventMessage" value="D3D11 device %2 for render adapter LUID %1 created"/>
        <string id="DeviceCreationFailed.EventMessage" value="D3D11 device creation for render adapter LUID %1 failed with HRESULT %2"/>
      </stringTable>
    </resources>
  </localization>
</instrumentationManifest>